package com.izouma.awesomeadmin.dao;

import java.util.*;

import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.ProductComment;


/**
 * Dao接口
 */
@Repository("com.zoumaframe.dao.ProductCommentMapper")
public interface ProductCommentMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(ProductComment record);

    ProductComment selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ProductComment record);

    List<ProductComment> queryAllProductComment(ProductComment record);

    List<ProductComment> queryProductCommentByPage(Map<String, Object> parameter);

    int delete(String id);

    ProductComment queryProductComment(ProductComment record);

    List<ProductComment> query(ProductComment record);

    ProductComment getCount(ProductComment record);
}

